class ConvertAllTablesToInnoDb < ActiveRecord::Migration
  def up
    execute "ALTER TABLE `accounts` ENGINE = InnoDB;"
    execute "ALTER TABLE `account_relationships` ENGINE = InnoDB;"
    execute "ALTER TABLE `attachements` ENGINE = InnoDB;"
    execute "ALTER TABLE `documents` ENGINE = InnoDB;"
    execute "ALTER TABLE `epochs` ENGINE = InnoDB;"
    execute "ALTER TABLE `exports` ENGINE = InnoDB;"
    execute "ALTER TABLE `items` ENGINE = InnoDB;"
    execute "ALTER TABLE `money_xmls` ENGINE = InnoDB;"
    execute "ALTER TABLE `paluba_sessions` ENGINE = InnoDB;"
    execute "ALTER TABLE `reports` ENGINE = InnoDB;"
    execute "ALTER TABLE `schema_migrations` ENGINE = InnoDB;"
    execute "ALTER TABLE `templates` ENGINE = InnoDB;"
    execute "ALTER TABLE `transfers` ENGINE = InnoDB;"
    execute "ALTER TABLE `versions` ENGINE = InnoDB;"
  end

  def down
    execute "ALTER TABLE `accounts` ENGINE = MyISAM;"
    execute "ALTER TABLE `account_relationships` ENGINE = MyISAM;"
    execute "ALTER TABLE `attachements` ENGINE = MyISAM;"
    execute "ALTER TABLE `documents` ENGINE = MyISAM;"
    execute "ALTER TABLE `epochs` ENGINE = MyISAM;"
    execute "ALTER TABLE `exports` ENGINE = MyISAM;"
    execute "ALTER TABLE `items` ENGINE = MyISAM;"
    execute "ALTER TABLE `money_xmls` ENGINE = MyISAM;"
    execute "ALTER TABLE `paluba_sessions` ENGINE = MyISAM;"
    execute "ALTER TABLE `reports` ENGINE = MyISAM;"
    execute "ALTER TABLE `schema_migrations` ENGINE = MyISAM;"
    execute "ALTER TABLE `templates` ENGINE = MyISAM;"
    execute "ALTER TABLE `transfers` ENGINE = MyISAM;"
    execute "ALTER TABLE `versions` ENGINE = MyISAM;"
  end
end
